#Exemple C3_E1
import numpy as np
import matplotlib.pyplot as plt
from MEC1315_STL import *   # Toutes les fonctions
nom_fichier_in="Prisme.stl"
f1,v1,n1=LireSTL(nom_fichier_in)
#====================================================
nv1=len(v1)
R=Rz(np.pi/2)
v1[:,0]=v1[:,0]+0.5         # Translation en x
v1[:,1]=v1[:,1]+0.5         # Translation en y
f2, v2, n2= f1+nv1, v1.dot(R), n1.dot(R) #Copie de 1 dans 2 avec rotation
f3, v3, n3=f2+nv1, v2.dot(R), n2.dot(R)  #Copie de 2 dans 3 avec rotation
f4, v4, n4=f3+nv1, v3.dot(R), n3.dot(R)  #Copie de 3 dans 4 avec rotation

#============Fusion==========================
f=np.vstack((f1,f2,f3,f4))  # Fusion des objets 1, 2, 3 et 4
v=np.vstack((v1,v2,v3,v4))
n=np.vstack((n1,n2,n3,n4))
#==============Écriture=============================
nom_fichier_out="Prisme_rotation.stl"
EcrireSTLASCII(nom_fichier_out,f,v,n)
#======Traçage du graphique=========================
fig = plt.figure()
ax = fig.add_subplot(1, 1, 1, projection='3d')
ax.plot_trisurf(v[:,0],v[:,1],v[:,2], triangles=f, color='r')